## Command IDs Command IDs — Generic command handling routines. |

## Functions

gboolean | mbim_cid_can_set ()
gboolean | mbim_cid_can_query ()
gboolean | mbim_cid_can_notify ()
const gchar * | mbim_cid_get_printable ()
const gchar * | mbim_cid_basic_connect_get_string ()
const gchar * | mbim_cid_sms_get_string ()
const gchar * | mbim_cid_ussd_get_string ()
const gchar * | mbim_cid_phonebook_get_string ()
const gchar * | mbim_cid_stk_get_string ()
const gchar * | mbim_cid_auth_get_string ()
const gchar * | mbim_cid_dss_get_string ()
const gchar * | mbim_cid_ms_firmware_id_get_string ()
const gchar * | mbim_cid_ms_host_shutdown_get_string ()
const gchar * | mbim_cid_proxy_control_get_string ()
const gchar * | mbim_cid_qmi_get_string ()

## Types and Values

enum | MbimCidBasicConnect
enum | MbimCidSms
enum | MbimCidUssd
enum | MbimCidPhonebook
enum | MbimCidStk
enum | MbimCidAuth
enum | MbimCidDss
enum | MbimCidMsFirmwareId
enum | MbimCidMsHostShutdown
enum | MbimCidProxyControl
enum | MbimCidQmi

## Object Hierarchy

        GEnum
        ├── MbimCidAuth
        ├── MbimCidBasicConnect
        ├── MbimCidDss
        ├── MbimCidMsFirmwareId
        ├── MbimCidMsHostShutdown
        ├── MbimCidPhonebook
        ├── MbimCidProxyControl
        ├── MbimCidQmi
        ├── MbimCidSms
        ├── MbimCidStk
        ╰── MbimCidUssd

## Description

This section defines the interface of the known command IDs.

## Functions

### mbim_cid_can_set ()

    gboolean
    mbim_cid_can_set (MbimService service,
                      guint cid);

Checks whether the given command allows setting.

#### Parameters

service | a MbimService. |
cid | a command ID. |

#### Returns

`TRUE` if the command allows setting, `FALSE` otherwise.

### mbim_cid_can_query ()

    gboolean
    mbim_cid_can_query (MbimService service,
                        guint cid);

Checks whether the given command allows querying.

#### Parameters

service | a MbimService. |
cid | a command ID. |

#### Returns

`TRUE` if the command allows querying, `FALSE` otherwise.

### mbim_cid_can_notify ()

    gboolean
    mbim_cid_can_notify (MbimService service,
                         guint cid);

Checks whether the given command allows notifying.

#### Parameters

service | a MbimService. |
cid | a command ID. |

#### Returns

`TRUE` if the command allows notifying, `FALSE` otherwise.

### mbim_cid_get_printable ()

    const gchar *
    mbim_cid_get_printable (MbimService service,
                            guint cid);

Gets a printable string for the command specified by the `service` and the `cid` .

#### Parameters

service | a MbimService. |
cid | a command ID. |

#### Returns

a constant string.

[transfer none]

### mbim_cid_basic_connect_get_string ()

    const gchar *
    mbim_cid_basic_connect_get_string (MbimCidBasicConnect val);

Gets the nickname string for the MbimCidBasicConnect specified at `val` .

#### Parameters

val | a MbimCidBasicConnect. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_sms_get_string ()

    const gchar *
    mbim_cid_sms_get_string (MbimCidSms val);

Gets the nickname string for the MbimCidSms specified at `val` .

#### Parameters

val | a MbimCidSms. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_ussd_get_string ()

    const gchar *
    mbim_cid_ussd_get_string (MbimCidUssd val);

Gets the nickname string for the MbimCidUssd specified at `val` .

#### Parameters

val | a MbimCidUssd. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_phonebook_get_string ()

    const gchar *
    mbim_cid_phonebook_get_string (MbimCidPhonebook val);

Gets the nickname string for the MbimCidPhonebook specified at `val` .

#### Parameters

val | a MbimCidPhonebook. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_stk_get_string ()

    const gchar *
    mbim_cid_stk_get_string (MbimCidStk val);

Gets the nickname string for the MbimCidStk specified at `val` .

#### Parameters

val | a MbimCidStk. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_auth_get_string ()

    const gchar *
    mbim_cid_auth_get_string (MbimCidAuth val);

Gets the nickname string for the MbimCidAuth specified at `val` .

#### Parameters

val | a MbimCidAuth. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_dss_get_string ()

    const gchar *
    mbim_cid_dss_get_string (MbimCidDss val);

Gets the nickname string for the MbimCidDss specified at `val` .

#### Parameters

val | a MbimCidDss. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_ms_firmware_id_get_string ()

    const gchar *
    mbim_cid_ms_firmware_id_get_string (MbimCidMsFirmwareId val);

Gets the nickname string for the MbimCidMsFirmwareId specified at `val` .

#### Parameters

val | a MbimCidMsFirmwareId. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_ms_host_shutdown_get_string ()

    const gchar *
    mbim_cid_ms_host_shutdown_get_string (MbimCidMsHostShutdown val);

Gets the nickname string for the MbimCidMsHostShutdown specified at `val` .

#### Parameters

val | a MbimCidMsHostShutdown. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_proxy_control_get_string ()

    const gchar *
    mbim_cid_proxy_control_get_string (MbimCidProxyControl val);

Gets the nickname string for the MbimCidProxyControl specified at `val` .

#### Parameters

val | a MbimCidProxyControl. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### mbim_cid_qmi_get_string ()

    const gchar *
    mbim_cid_qmi_get_string (MbimCidQmi val);

Gets the nickname string for the MbimCidQmi specified at `val` .

#### Parameters

val | a MbimCidQmi. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum MbimCidBasicConnect

MBIM commands in the `MBIM_SERVICE_BASIC_CONNECT` service.

#### Members

MBIM_CID_BASIC_CONNECT_UNKNOWN | Unknown command. |
MBIM_CID_BASIC_CONNECT_DEVICE_CAPS | Device capabilities. |
MBIM_CID_BASIC_CONNECT_SUBSCRIBER_READY_STATUS | Subscriber ready status. |
MBIM_CID_BASIC_CONNECT_RADIO_STATE | Radio state. |
MBIM_CID_BASIC_CONNECT_PIN | PIN. |
MBIM_CID_BASIC_CONNECT_PIN_LIST | PIN list. |
MBIM_CID_BASIC_CONNECT_HOME_PROVIDER | Home provider. |
MBIM_CID_BASIC_CONNECT_PREFERRED_PROVIDERS | Preferred providers. |
MBIM_CID_BASIC_CONNECT_VISIBLE_PROVIDERS | Visible providers. |
MBIM_CID_BASIC_CONNECT_REGISTER_STATE | Register state. |
MBIM_CID_BASIC_CONNECT_PACKET_SERVICE | Packet service. |
MBIM_CID_BASIC_CONNECT_SIGNAL_STATE | Signal state. |
MBIM_CID_BASIC_CONNECT_CONNECT | Connect. |
MBIM_CID_BASIC_CONNECT_PROVISIONED_CONTEXTS | Provisioned contexts. |
MBIM_CID_BASIC_CONNECT_SERVICE_ACTIVATION | Service activation. |
MBIM_CID_BASIC_CONNECT_IP_CONFIGURATION | IP configuration. |
MBIM_CID_BASIC_CONNECT_DEVICE_SERVICES | Device services. |
MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST | Device service subscribe list. |
MBIM_CID_BASIC_CONNECT_PACKET_STATISTICS | Packet statistics. |
MBIM_CID_BASIC_CONNECT_NETWORK_IDLE_HINT | Network idle hint. |
MBIM_CID_BASIC_CONNECT_EMERGENCY_MODE | Emergency mode. |
MBIM_CID_BASIC_CONNECT_IP_PACKET_FILTERS | IP packet filters. |
MBIM_CID_BASIC_CONNECT_MULTICARRIER_PROVIDERS | Multicarrier providers. |

### enum MbimCidSms

MBIM commands in the `MBIM_SERVICE_SMS` service.

#### Members

MBIM_CID_SMS_UNKNOWN | Unknown command. |
MBIM_CID_SMS_CONFIGURATION | SMS configuration. |
MBIM_CID_SMS_READ | Read. |
MBIM_CID_SMS_SEND | Send. |
MBIM_CID_SMS_DELETE | Delete. |
MBIM_CID_SMS_MESSAGE_STORE_STATUS | Store message status. |

### enum MbimCidUssd

MBIM commands in the `MBIM_SERVICE_USSD` service.

#### Members

MBIM_CID_USSD_UNKNOWN | Unknown command. |
MBIM_CID_USSD | USSD operation. |

### enum MbimCidPhonebook

MBIM commands in the `MBIM_SERVICE_PHONEBOOK` service.

#### Members

MBIM_CID_PHONEBOOK_UNKNOWN | Unknown command. |
MBIM_CID_PHONEBOOK_CONFIGURATION | Configuration. |
MBIM_CID_PHONEBOOK_READ | Read. |
MBIM_CID_PHONEBOOK_DELETE | Delete. |
MBIM_CID_PHONEBOOK_WRITE | Write. |

### enum MbimCidStk

MBIM commands in the `MBIM_SERVICE_STK` service.

#### Members

MBIM_CID_STK_UNKNOWN | Unknown command. |
MBIM_CID_STK_PAC | PAC. |
MBIM_CID_STK_TERMINAL_RESPONSE | Terminal response. |
MBIM_CID_STK_ENVELOPE | Envelope. |

### enum MbimCidAuth

MBIM commands in the `MBIM_SERVICE_AUTH` service.

#### Members

MBIM_CID_AUTH_UNKNOWN | Unknow command |
MBIM_CID_AUTH_AKA | AKA. |
MBIM_CID_AUTH_AKAP | AKAP. |
MBIM_CID_AUTH_SIM | SIM. |

### enum MbimCidDss

MBIM commands in the `MBIM_SERVICE_DSS` service.

#### Members

MBIM_CID_DSS_UNKNOWN | Unknown command. |
MBIM_CID_DSS_CONNECT | Connect. |

### enum MbimCidMsFirmwareId

MBIM commands in the `MBIM_SERVICE_MS_FIRMWARE_ID` service.

#### Members

MBIM_CID_MS_FIRMWARE_ID_UNKNOWN | Unknown command. |
MBIM_CID_MS_FIRMWARE_ID_GET | Get Firmware ID. |

### enum MbimCidMsHostShutdown

MBIM commands in the `MBIM_SERVICE_MS_HOST_SHUTDOWN` service.

#### Members

MBIM_CID_MS_HOST_SHUTDOWN_UNKNOWN | Unknown command. |
MBIM_CID_MS_HOST_SHUTDOWN_NOTIFY | Notify that the host is shutting down. |

### enum MbimCidProxyControl

MBIM commands in the `MBIM_SERVICE_PROXY_CONTROL` service.

#### Members

MBIM_CID_PROXY_CONTROL_UNKNOWN | Unknown command. |
MBIM_CID_PROXY_CONTROL_CONFIGURATION | Configuration. |

### enum MbimCidQmi

MBIM commands in the `MBIM_SERVICE_QMI` service.

#### Members

MBIM_CID_QMI_UNKNOWN | Unknown command. |
MBIM_CID_QMI_MSG | Configuration. |